# Dependencies
node_modules
.pnpm-store

# Build outputs
dist
dist-ssr
*.local

# Rust build artifacts
src-tauri/target

# Debug logs
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
*.log

# Editor directories and files
.vscode/*
!.vscode/extensions.json
.idea
.DS_Store
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?

# Environment variables
.env
.env.*
